<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~libqc_registration.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Register quality control results" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select Library bioplate</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Library bioplate</td>
				<td class="input">
					<select class="required" name="bioplate" id="bioplate"></select>
						
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectLibPlate" />
					</base:buttongroup>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select an existing Library bioplate. The list contain all Library bioplates that
					has not yet been processed (determined by the absence of a 'creation' date).
					Use the <b>Select manually</b> button to add more files to already completed plates. 
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title" id="step-2-title">Quality control results</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Date</td>
				<td class="input">
					<input type="text" name="qcDate" id="qcDate"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="pdfqc"
						style="width: 12em;" maxlength="10">
						<base:icon 
							id="qcDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="qcDate"
							data-date-format="yyyyMMdd"
							data-title="Date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="qcDate.status"></td>
				<td class="help">
					<span id="qcDate.message" class="message"></span>
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">PDF file</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text required" type="text" name="pdfqc" id="pdfqc" 
							data-subtype="BIOANALYZER_PDF" data-name-filter="%.pdf"
							data-directory="/home/SCANB/LibPlateQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="pdfqc.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="pdfqc.status"></td>
				<td class="help"><span id="pdfqc.message" class="message"></span>
					Select the PDF file that contains a printout with diagrams and other
					useful documentation.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input">
					<textarea class="required" rows="4" name="qccomments" id="qccomments"></textarea>
				</td>
				<td class="status" id="qccomments.status"></td>
				<td class="help">
					<span id="qccomments.message" class="message"></span>
					Comments about the quality control results.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>