var Protocol = function()
{
	var protocol = {};
	var debug = 0;
	
	var lysatesIsValid = false;

	// Page initialization
	protocol.initPage = function()
	{
		var pageId = Doc.getPageId();
		if (pageId == 'protocol')
		{
			Buttons.addClickHandler('print-button', Wizard.goPrint);	
			Buttons.addClickHandler('download-button', protocol.downloadLabels);
			Doc.show('all-protocol');
		}
		else
		{
			Buttons.addClickHandler('btnCreateWorkList', protocol.createWorkList);
			Buttons.addClickHandler('gocreate', protocol.viewProtocol);

			var url = '../Histology.servlet?ID='+App.getSessionId();
			url += '&cmd=GetHistologyWorkLists';
			Wizard.showLoadingAnimation('Loading histology work lists...');
			Wizard.asyncJsonRequest(url, protocol.initializeStep1);
		}
	}

	protocol.initializeStep1 = function(response)
	{
		var frm = document.forms['reggie'];
		var workLists = response.workLists;
		
		var workList = frm.workList;
		if (workLists.length > 0)
		{
			for (var i=0; i < workLists.length; i++)
			{
				var list = workLists[i];
				var name = list.name + ' (' + list.size + ')';
				var option = new Option(name, list.id);
				workList.options[workList.length] = option;
			}
			
		}
		else
		{
			Wizard.setInputStatus('workList', 'invalid', 'No Histology works lists available for processing.');
		}
		
		Doc.show('step-1');
		Doc.show('gocreate');
	}
	

	protocol.createWorkList = function()
	{
		var url = 'histology_work_list.jsp?ID='+App.getSessionId();
		location.href = url;
	}
	
	protocol.viewProtocol = function()
	{
		var frm = document.forms['reggie'];
		if (frm.workList.selectedIndex == -1)
		{
			Wizard.notifyError();
			return;
		}
		frm.submit();
	}

	protocol.downloadLabels = function(event)
	{
		var numLabelsPerBlock = prompt('Number of labels per block?', 3);
		if (numLabelsPerBlock == null) return;
		
		if (!parseInt(numLabelsPerBlock, 10)) 
		{
			alert('"' + numLabelsPerBlock + '" is not a valid number');
			return;
		}
		
		var url = '../Histology.servlet?ID='+App.getSessionId();
		url += '&cmd=DownloadHEGlassLabels';
		url += '&workListId='+Data.int(event.currentTarget, 'list-id');
		url += '&numSlides=' + parseInt(numLabelsPerBlock, 10);
		
		location.href = url;
	}


	return protocol;
}();

Doc.onLoad(Protocol.initPage);

