var RNAreg = function()
{
	var rnareg = {};
	var debug = 0;

	// Page initialization
	rnareg.initPage = function()
	{
		// Step 1
		Events.addEventHandler('bioplate', 'change', rnareg.bioPlateOnChange);
		Events.addEventHandler('step-1', 'wizard-validate', rnareg.validateStep1);
		
		// Step 2
		Events.addEventHandler('step-2', 'wizard-initialize', rnareg.initializeStep2);
		Events.addEventHandler('step-2', 'wizard-validate', rnareg.validateStep2);
		Events.addEventHandler('dilutionDate', 'blur', Wizard.validateDate);
		
		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('gonext', Wizard.goNextOnClick);
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', rnareg.submit);
		
		var url = '../MRna.servlet?ID='+App.getSessionId();
		url += '&cmd=GetUnprocessedPlates&plateType=MRNA&onlyUndiluted=1';		
		Wizard.showLoadingAnimation('Loading mRNA plates...');
		Wizard.asyncJsonRequest(url, rnareg.initializeStep1);
	}


	rnareg.initializeStep1 = function(response)
	{
		var frm = document.forms['reggie'];
		var bioplates = response.bioplates;
		
		var plates = frm.bioplate;
		if (bioplates.length > 0)
		{
			for (var i=0; i < bioplates.length; i++)
			{
				var bioplate = bioplates[i];
				var option = new Option(bioplate.name, bioplate.id);
				option.plate = bioplate;
				plates.options[plates.length] = option;
			}
			bioplateIsValid = true;
			Wizard.setInputStatus('bioplate', 'valid');
			rnareg.bioPlateOnChange();
		}
		else
		{
			Wizard.setFatalError('No mRNA bioplates available for processing.');
			return;
		}

		Doc.show('step-1');
		Doc.show('gonext');
		frm.bioplate.focus();

	}
	
	rnareg.bioPlateOnChange = function()
	{
		var frm = document.forms['reggie'];
		var bioplate = frm.bioplate[frm.bioplate.selectedIndex].plate;
		Doc.element('comments-info').innerHTML = Strings.encodeTags(bioplate.comments);
	}


	rnareg.validateStep1 = function()
	{}
	
	rnareg.initializeStep2 = function()
	{
		var frm = document.forms['reggie'];	
		frm.comments.value = frm.bioplate[frm.bioplate.selectedIndex].plate.comments;
		Wizard.setCurrentStep(2);
		Doc.show('goregister');
		Doc.show('gocancel');
		frm.dilutionDate.focus();
	}

	rnareg.validateStep2 = function(event)
	{
		if (!Wizard.isValid('dilutionDate')) 
		{
			event.preventDefault();
		}
	}
	
	rnareg.submit = function()
	{
		var frm = document.forms['reggie'];
		
		var submitInfo = {};
		submitInfo.bioplate = parseInt(frm.bioplate.value, 10);
		submitInfo.dilutionDate = frm.dilutionDate.value;
		submitInfo.dilutionOperator = frm.dilutionOperator.value;
		submitInfo.comments = frm.comments.value;
		
		var url = '../MRna.servlet?ID='+App.getSessionId();
		url += '&cmd=RegisterRNADilution';
		Wizard.showLoadingAnimation('Performing registration...');
		Wizard.asyncJsonRequest(url, rnareg.submissionResults, 'POST', JSON.stringify(submitInfo));
	}

	rnareg.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Doc.show('gorestart');
	}

	return rnareg;
}();

Doc.onLoad(RNAreg.initPage);

